import Vue from 'vue'
import Cookies from 'js-cookie'

import Element from 'element-ui'
import '@/assets/styles/element-variables.scss'

import '@/assets/styles/index.scss' // global css
import '@/assets/styles/ruoyi.scss' // ruoyi css

import App from './App.vue'
import router from './router'
import store from './store'

import { getDicts } from "@/api/system/dict/data";

import './permission' // permission control
import utils from './utils/index';
import './utils/ui/index'
import plugins from './plugins' // plugins
// import './utils/ui/option'
import './router/permission'
import { selectDictLabel,parseTime} from "@/utils/ruoyi";


// import echarts from "echarts";
// Vue.prototype.$echarts = echarts;
Vue.use(utils)
Vue.use(plugins)
Vue.config.productionTip = false
Vue.use(Element)
// 全局方法挂载
Vue.prototype.getDicts = getDicts
Vue.prototype.parseTime = parseTime
Vue.prototype.selectDictLabel = selectDictLabel

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
